Categories:
  - Multimedia
License: GPL-2.0-or-later
AuthorName: Music Player Daemon
AuthorWebSite: https://www.musicpd.org/
SourceCode: https://github.com/MusicPlayerDaemon/MPD/
IssueTracker: https://github.com/MusicPlayerDaemon/MPD/issues

AutoName: MPD
Description: Music Player Daemon (MPD) is a flexible, powerful, server-side application
    for playing music. Through plugins and libraries it can play a variety of sound
    files while being controlled by its network protocol.

RepoType: git
Repo: https://github.com/MusicPlayerDaemon/MPD.git

Builds:
  - versionName: 0.21.8
    versionCode: 30
    commit: v0.21.8
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y g++ imagemagick-6.q16 meson -t stretch-backports
    output: output/android/android/apk/mpd-unsigned.apk
    prebuild: mkdir -p output/android/android/classes/
    scandelete:
      - src/haiku/
    build:
      - cd output/android/
      - ../../android/build.py $$SDK$$ $$NDK$$ arm64-v8a
      - meson configure
      - ninja android/apk/mpd-unsigned.apk
    ndk: r18b

  - versionName: 0.21.9
    versionCode: 32
    commit: v0.21.9
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y g++ imagemagick-6.q16 meson -t stretch-backports
    output: output/android/android/apk/mpd-unsigned.apk
    prebuild: mkdir -p output/android/android/classes/
    scandelete:
      - src/haiku/
    build:
      - cd output/android/
      - ../../android/build.py $$SDK$$ $$NDK$$ arm64-v8a
      - meson configure
      - ninja android/apk/mpd-unsigned.apk
    ndk: r18b

  - versionName: 0.21.10
    versionCode: 33
    commit: v0.21.10
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y g++ imagemagick-6.q16 meson -t stretch-backports
    output: output/android/android/apk/mpd-unsigned.apk
    prebuild: mkdir -p output/android/android/classes/
    scandelete:
      - src/haiku/
    build:
      - cd output/android/
      - ../../android/build.py $$SDK$$ $$NDK$$ arm64-v8a
      - meson configure
      - ninja android/apk/mpd-unsigned.apk
    ndk: r18b

  - versionName: 0.21.11
    versionCode: 34
    commit: v0.21.11
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y g++ imagemagick-6.q16 meson -t stretch-backports
    output: output/android/android/apk/mpd-unsigned.apk
    prebuild: mkdir -p output/android/android/classes/
    scandelete:
      - src/haiku/
    build:
      - cd output/android/
      - ../../android/build.py $$SDK$$ $$NDK$$ arm64-v8a
      - meson configure
      - ninja android/apk/mpd-unsigned.apk
    ndk: r18b

  - versionName: 0.21.12
    versionCode: 35
    commit: v0.21.12
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y g++ imagemagick-6.q16 meson -t stretch-backports
    output: output/android/android/apk/mpd-unsigned.apk
    prebuild: mkdir -p output/android/android/classes/
    scandelete:
      - src/haiku/
    build:
      - cd output/android/
      - ../../android/build.py $$SDK$$ $$NDK$$ arm64-v8a
      - meson configure
      - ninja android/apk/mpd-unsigned.apk
    ndk: r18b

  - versionName: 0.21.13
    versionCode: 36
    commit: v0.21.13
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y g++ imagemagick-6.q16 meson -t stretch-backports
    output: output/android/android/apk/mpd-unsigned.apk
    prebuild: mkdir -p output/android/android/classes/
    scandelete:
      - src/haiku/
    build:
      - cd output/android/
      - ../../android/build.py $$SDK$$ $$NDK$$ arm64-v8a
      - meson configure
      - ninja android/apk/mpd-unsigned.apk
    ndk: r18b

  - versionName: 0.21.14
    versionCode: 37
    commit: v0.21.14
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y g++ imagemagick-6.q16 meson -t stretch-backports
    output: output/android/android/apk/mpd-unsigned.apk
    prebuild: mkdir -p output/android/android/classes/
    scandelete:
      - src/haiku/
    build:
      - cd output/android/
      - ../../android/build.py $$SDK$$ $$NDK$$ arm64-v8a
      - meson configure
      - ninja android/apk/mpd-unsigned.apk
    ndk: r18b

  - versionName: 0.21.15
    versionCode: 38
    commit: v0.21.15
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y g++ imagemagick-6.q16 meson -t stretch-backports
    output: output/android/android/apk/mpd-unsigned.apk
    prebuild: mkdir -p output/android/android/classes/
    scandelete:
      - src/haiku/
    build:
      - cd output/android/
      - ../../android/build.py $$SDK$$ $$NDK$$ arm64-v8a
      - meson configure
      - ninja android/apk/mpd-unsigned.apk
    ndk: r18b

  - versionName: 0.21.16
    versionCode: 39
    commit: v0.21.16
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y g++ imagemagick-6.q16 meson -t stretch-backports
    output: output/android/android/apk/mpd-unsigned.apk
    prebuild: mkdir -p output/android/android/classes/
    scandelete:
      - src/haiku/
    build:
      - cd output/android/
      - ../../android/build.py $$SDK$$ $$NDK$$ arm64-v8a
      - meson configure
      - ninja android/apk/mpd-unsigned.apk
    ndk: r18b

  - versionName: 0.21.17
    versionCode: 40
    commit: v0.21.17
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y g++ imagemagick-6.q16 meson -t stretch-backports
    output: output/android/android/apk/mpd-unsigned.apk
    prebuild: mkdir -p output/android/android/classes/
    scandelete:
      - src/haiku/
    build:
      - cd output/android/
      - ../../android/build.py $$SDK$$ $$NDK$$ arm64-v8a
      - meson configure
      - ninja android/apk/mpd-unsigned.apk
    ndk: r18b

  - versionName: 0.21.18
    versionCode: 41
    commit: v0.21.18
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y g++ imagemagick-6.q16 meson -t stretch-backports
    output: output/android/android/apk/mpd-unsigned.apk
    prebuild: mkdir -p output/android/android/classes/
    scandelete:
      - src/haiku/
    build:
      - cd output/android/
      - ../../android/build.py $$SDK$$ $$NDK$$ arm64-v8a
      - meson configure
      - ninja android/apk/mpd-unsigned.apk
    ndk: r18b

  - versionName: 0.22.6
    versionCode: 54
    commit: v0.22.6
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y ninja-build imagemagick-6.q16 -t stretch-backports
      - apt-get install -y clang-7 libc++-7-dev libc++abi-7-dev
      - pip3 install meson
      - update-alternatives --install /usr/bin/cc cc /usr/bin/clang-7 100
      - update-alternatives --install /usr/bin/c++ c++ /usr/bin/clang++-7 100
    output: output/android/android/apk/mpd-unsigned.apk
    prebuild:
      - mkdir -p output/android/android/classes/
      - sed -i -e 's|source/openssl|source/old/3.0/openssl|' python/build/libs.py
      - sed -i -e 's|dl.bintray.com/boostorg|boostorg.jfrog.io/artifactory/main|'
        python/build/libs.py
      - $$SDK$$/tools/bin/sdkmanager 'platforms;android-29' 'build-tools;29.0.3' >
        /dev/null
      - sed -i -e "/native/a cpp_args:['-stdlib=libc++','-nostdinc++','-I/usr/lib/llvm-7/include/c++/v1',],"
        src/tag/meson.build
      - sed -i -e "/native/a link_args:['-lc++abi','-L/usr/lib/llvm-7/lib','-Wl,-rpath,/usr/lib/llvm-7/lib',],"
        src/tag/meson.build
    scandelete:
      - src/haiku/
    build:
      - cd output/android/
      - ../../android/build.py $$SDK$$ $$NDK$$ arm64-v8a
      - meson configure
      - ninja android/apk/mpd-unsigned.apk
    ndk: r22b

  - versionName: 0.22.7
    versionCode: 55
    commit: v0.22.7
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y ninja-build imagemagick-6.q16 -t stretch-backports
      - apt-get install -y clang-7 libc++-7-dev libc++abi-7-dev
      - pip3 install meson
      - update-alternatives --install /usr/bin/cc cc /usr/bin/clang-7 100
      - update-alternatives --install /usr/bin/c++ c++ /usr/bin/clang++-7 100
    output: output/android/android/apk/mpd-unsigned.apk
    prebuild:
      - mkdir -p output/android/android/classes/
      - $$SDK$$/tools/bin/sdkmanager 'platforms;android-29' 'build-tools;29.0.3' >
        /dev/null
      - sed -i -e "/native/a cpp_args:['-stdlib=libc++','-nostdinc++','-I/usr/lib/llvm-7/include/c++/v1',],"
        src/tag/meson.build
      - sed -i -e "/native/a link_args:['-lc++abi','-L/usr/lib/llvm-7/lib','-Wl,-rpath,/usr/lib/llvm-7/lib',],"
        src/tag/meson.build
    scandelete:
      - src/haiku/
    build:
      - cd output/android/
      - ../../android/build.py $$SDK$$ $$NDK$$ armeabi-v7a
      - meson configure
      - ninja android/apk/mpd-unsigned.apk
    ndk: r22b

  - versionName: 0.22.8
    versionCode: 56
    commit: v0.22.8
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y ninja-build imagemagick-6.q16 -t stretch-backports
      - apt-get install -y clang-7 libc++-7-dev libc++abi-7-dev
      - pip3 install meson
      - update-alternatives --install /usr/bin/cc cc /usr/bin/clang-7 100
      - update-alternatives --install /usr/bin/c++ c++ /usr/bin/clang++-7 100
    output: output/android/android/apk/mpd-unsigned.apk
    prebuild:
      - mkdir -p output/android/android/classes/
      - $$SDK$$/tools/bin/sdkmanager 'platforms;android-29' 'build-tools;29.0.3' >
        /dev/null
      - sed -i -e "/native/a cpp_args:['-stdlib=libc++','-nostdinc++','-I/usr/lib/llvm-7/include/c++/v1',],"
        src/tag/meson.build
      - sed -i -e "/native/a link_args:['-lc++abi','-L/usr/lib/llvm-7/lib','-Wl,-rpath,/usr/lib/llvm-7/lib',],"
        src/tag/meson.build
    scandelete:
      - src/haiku/
    build:
      - cd output/android/
      - ../../android/build.py $$SDK$$ $$NDK$$ armeabi-v7a
      - meson configure
      - ninja android/apk/mpd-unsigned.apk
    ndk: r22b

AutoUpdateMode: Version v%v
UpdateCheckMode: Tags
CurrentVersion: 0.22.8
CurrentVersionCode: 56
